Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.cms.impl
Class CMSObjectImpl

    java.lang.Object
      org.jboss.portal.cms.impl.CMSObjectImpl

All Implemented Interfaces:
  java.io.Serializable, CMSObject

Direct Known Subclasses:
  ContentImpl, FileImpl, FolderImpl

    public class CMSObjectImpl

extends java.lang.Object
implements CMSObject, java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `basePath`
`protected java.lang.String` | `baseUUID`
`protected java.util.Date` | `creationDate`
`protected java.lang.String` | `description`
`protected java.util.Date` | `lastModified`
`protected java.lang.String` | `name`
`protected java.lang.String` | `parentUUID`
`protected java.lang.String` | `title`
`protected java.lang.String` | `versionPath`
`protected java.lang.String` | `versionUUID`

Constructor Summary
`CMSObjectImpl()`

Method Summary
`java.lang.String` | `getBasePath()`
`java.lang.String` | `getBaseUUID()`
`java.util.Date` | `getCreationDate()`
`java.lang.String` | `getDescription()`
`java.util.Date` | `getLastModified()`
`java.lang.String` | `getName()`
`java.lang.String` | `getParentUUID()`
`java.lang.String` | `getTitle()`
`java.lang.String` | `getVersionPath()`
`java.lang.String` | `getVersionUUID()`
`void` | `setBasePath(java.lang.String basePath)`
`void` | `setBaseUUID(java.lang.String baseUUID)`
`void` | `setCreationDate(java.util.Date creationDate)`
`void` | `setDescription(java.lang.String description)`
`void` | `setLastModified(java.util.Date lastModified)`
`void` | `setName(java.lang.String name)`
`void` | `setParentUUID(java.lang.String parentUUID)`
`void` | `setTitle(java.lang.String title)`
`void` | `setVersionPath(java.lang.String versionPath)`
`void` | `setVersionUUID(java.lang.String versionUUID)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parentUUID

    protected java.lang.String parentUUID

### name

    protected java.lang.String name

### versionPath

    protected java.lang.String versionPath

### versionUUID

    protected java.lang.String versionUUID

### basePath

    protected java.lang.String basePath

### baseUUID

    protected java.lang.String baseUUID

### description

    protected java.lang.String description

### title

    protected java.lang.String title

### creationDate

    protected java.util.Date creationDate

### lastModified

    protected java.util.Date lastModified

Constructor Detail

### CMSObjectImpl

    public CMSObjectImpl()

Method Detail

### getParentUUID

    public java.lang.String getParentUUID()

  Specified by:
    `getParentUUID` in interface `CMSObject`

### setParentUUID

    public void setParentUUID(java.lang.String parentUUID)

  Specified by:
    `setParentUUID` in interface `CMSObject`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `CMSObject`

### setName

    public void setName(java.lang.String name)

  Specified by:
    `setName` in interface `CMSObject`

### getVersionPath

    public java.lang.String getVersionPath()

  Specified by:
    `getVersionPath` in interface `CMSObject`

### setVersionPath

    public void setVersionPath(java.lang.String versionPath)

  Specified by:
    `setVersionPath` in interface `CMSObject`

### getVersionUUID

    public java.lang.String getVersionUUID()

  Specified by:
    `getVersionUUID` in interface `CMSObject`

### setVersionUUID

    public void setVersionUUID(java.lang.String versionUUID)

  Specified by:
    `setVersionUUID` in interface `CMSObject`

### getBasePath

    public java.lang.String getBasePath()

  Specified by:
    `getBasePath` in interface `CMSObject`

### setBasePath

    public void setBasePath(java.lang.String basePath)

  Specified by:
    `setBasePath` in interface `CMSObject`

### getBaseUUID

    public java.lang.String getBaseUUID()

  Specified by:
    `getBaseUUID` in interface `CMSObject`

### setBaseUUID

    public void setBaseUUID(java.lang.String baseUUID)

  Specified by:
    `setBaseUUID` in interface `CMSObject`

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `CMSObject`

### setDescription

    public void setDescription(java.lang.String description)

  Specified by:
    `setDescription` in interface `CMSObject`

### getTitle

    public java.lang.String getTitle()

  Specified by:
    `getTitle` in interface `CMSObject`

### setTitle

    public void setTitle(java.lang.String title)

  Specified by:
    `setTitle` in interface `CMSObject`

### getCreationDate

    public java.util.Date getCreationDate()

  Specified by:
    `getCreationDate` in interface `CMSObject`

### setCreationDate

    public void setCreationDate(java.util.Date creationDate)

  Specified by:
    `setCreationDate` in interface `CMSObject`

### getLastModified

    public java.util.Date getLastModified()

  Specified by:
    `getLastModified` in interface `CMSObject`

### setLastModified

    public void setLastModified(java.util.Date lastModified)

  Specified by:
    `setLastModified` in interface `CMSObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.